Bug 1397041 - Brightness controls doesn't work on MacBook Pro Mid 2015
Summary: Brightness controls doesn't work on MacBook Pro Mid 2015
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-21 13:11 UTC by mattias.eriksson
Modified: 2019-01-09 12:54 UTC (History)
12 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-11-07 15:18:43 UTC


Attachments (Terms of Use)

Description mattias.eriksson 2016-11-21 13:11:43 UTC
The brightness controls doesn't work on a MacBook Pro Mid 2015 with a radeon card. There is a upstream bug about this, but it would be great if you could include the patch for this in to the fedora kernel.

https://bugzilla.kernel.org/show_bug.cgi?id=105051

Some info from the bug, for the lazy: 
The radeon driver appears to be setting an incorrect value of -1 for max_brightness in 
/sys/devices/pnp0/00:03/backlight/gmux_backlight/max_brightness. This computer is a Macbook Pro Retina mid-2015 model 11,5 without any video or acpi related kernel command line options.

This prevents GNOME from correctly managing the backlight. You can see this using the following commands:

$ cat /sys/devices/pnp0/00:03/backlight/gmux_backlight/max_brightness
-1

$ /usr/libexec/gsd-backlight-helper --get-max-brightness
Could not get the maximum value of the backlight: got invalid backlight value from /sys/devices/pnp0/00:03/backlight/gmux_backlight/max_brightness

$ sudo /usr/libexec/gsd-backlight-helper --set-brightness 500
Could not get the maximum value of the backlight: got invalid backlight value from /sys/devices/pnp0/00:03/backlight/gmux_backlight/max_brightness

Comment 1 Laura Abbott 2017-01-17 01:26:04 UTC
*********** MASS BUG UPDATE **************
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.
 
Fedora 25 has now been rebased to 4.9.3-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.
 
If you experience different issues, please open a new bug report for those.

Comment 2 Laura Abbott 2017-02-23 23:06:08 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Comment 3 mattias.eriksson 2017-07-24 22:14:20 UTC
For brightness to work this patch is needed in the kernel driver apple-gmux

https://bugzilla.kernel.org/attachment.cgi?id=192601

and setting the bug to need info when all the information is present, is just really lazy and bad way to handle things. And closing the bug because "several have gone stale...", well that is just because nobody is looking at them... maybe should try that sometime.

Comment 4 robberphex 2017-09-29 07:22:16 UTC
FYI.

I using MacBookPro11,5 with AMD graphic card, with kernel 4.13.3-301.fc27.x86_64.


When I add `acpi_backlight=native` to boot command line,
the brightness of booted up is changed soft, I mean, the initial brightness become half.

---

When I ran `setpci -v -H1 -s 00:01.00 BRIDGE_CONTROL=0`,

I can changed brightness via `echo 80 | sudo tee /sys/class/backlight/gmux_backlight/brightness`.

---

But I don't know why those works.
And, I still cannot changed brightness via gnome settings.

Comment 5 Fedora End Of Life 2017-11-16 18:43:06 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2017-12-12 10:28:43 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 Robin Lee 2017-12-12 12:26:27 UTC
Moved to f27

Comment 8 robberphex 2017-12-12 12:39:32 UTC
$ uname -a
Linux RL-Fedora 4.13.16-302.fc27.x86_64 #1 SMP Thu Nov 30  UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

$ cat /sys/devices/pnp0/00:03/backlight/gmux_backlight/max_brightness
-1
$ /usr/libexec/gsd-backlight-helper --get-max-brightness
Could not get the maximum value of the backlight: got invalid backlight value from /sys/devices/pnp0/00:03/backlight/gmux_backlight/max_brightness
$ sudo /usr/libexec/gsd-backlight-helper --set-brightness 500
Could not get the maximum value of the backlight: got invalid backlight value from /sys/devices/pnp0/00:03/backlight/gmux_backlight/max_brightness

Comment 9 Laura Abbott 2018-02-20 20:09:39 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  As kernel maintainers, we try to keep up with bugzilla but due the rate at which the upstream kernel project moves, bugs may be fixed without any indication to us. Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.
 
Fedora 27 has now been rebased to 4.15.3-300.f27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you experience different issues, please open a new bug report for those.

Comment 10 mattias.eriksson 2018-02-21 10:16:43 UTC
$ uname -a
Linux zaphod 4.15.3-300.fc27.x86_64 #1 SMP Tue Feb 13 17:02:01 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
snaggen@zaphod ~
$ cat /sys/devices/pnp0/00:03/backlight/gmux_backlight/max_brightness
-1
snaggen@zaphod ~
$ /usr/libexec/gsd-backlight-helper --get-max-brightness
Could not get the maximum value of the backlight: got invalid backlight value from /sys/devices/pnp0/00:03/backlight/gmux_backlight/max_brightness

Comment 11 mattias.eriksson 2018-02-21 10:26:28 UTC
Isn't it interesting that the only updates to this issue is automatic systems asking for info or trying to close the bug. No where is there a actual human to be seen, besides us reporters providing any requested information. And this is quite simple, there is a patch in an upstream bug report. If that is not included in to the upstream kernel or the fedora kernel, this issue will not have been solved! But I guess, this issue will soon have resolved itself, since mid 2015 laptops are starting to get old... Still, I can't understand why there is so hard to resolve this issue, when there is a patch avaliable...

Comment 12 Jeremy Cline 2018-02-21 15:12:08 UTC
Hi,

That patch no longer applies as the commit that added the function being patched was reverted[0] last week. From the sound of the commit message, this may fix your brightness control problem. It's currently in 4.16-rc1+ and it's queued for 4.15.5 which should be out by the end of the week. Testing would be greatly appreciated!

[0] https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=d6fa7588fd7a8def4c747c0c574ce85d453e3788

Comment 13 mattias.eriksson 2018-02-27 11:22:38 UTC
$ uname -a
Linux zaphod 4.15.5-300.fc27.x86_64 #1 SMP Fri Feb 23 17:30:40 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

$ cat /sys/devices/pnp0/00:03/backlight/gmux_backlight/max_brightness  
1023

$ /usr/libexec/gsd-backlight-helper --get-max-brightness
1023                                                                                     

It seems that things are working with the 4.15.5-300.fc27 kernel, so I guess this bug can be closed when that have been released to the public

Comment 14 Fedora Update System 2018-02-27 14:22:45 UTC
kernel-4.15.5-300.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a3c4dabf9c

Comment 15 Fedora Update System 2018-02-27 14:24:09 UTC
kernel-4.15.5-200.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c710e7893c

Comment 16 Fedora Update System 2018-02-27 18:01:08 UTC
kernel-4.15.5-200.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c710e7893c

Comment 17 Fedora Update System 2018-02-27 18:28:53 UTC
kernel-4.15.5-300.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a3c4dabf9c

Comment 18 Fedora Update System 2018-02-27 19:06:28 UTC
kernel-4.15.6-300.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-8a2bd7195f

Comment 19 Fedora Update System 2018-02-27 19:07:17 UTC
kernel-4.15.6-200.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-524fc07fb8

Comment 20 Fedora Update System 2018-02-28 17:37:43 UTC
kernel-4.15.6-200.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-524fc07fb8

Comment 21 Fedora Update System 2018-02-28 18:09:15 UTC
kernel-4.15.6-300.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-8a2bd7195f

Comment 22 Fedora Update System 2018-03-01 15:58:11 UTC
kernel-4.15.6-200.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2018-03-01 16:24:08 UTC
kernel-4.15.6-300.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Laura Abbott 2018-10-01 21:27:19 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.
 
Fedora 27 has now been rebased to 4.18.10-100.fc27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 28 or Fedora 29, and are still experiencing this issue, please change the version to Fedora 28 or 29.
 
If you experience different issues, please open a new bug report for those.

Comment 25 mattias.eriksson 2018-11-05 14:35:16 UTC
Works on Fedora 28 and 29. Cant say anything about fedora 27, since I'm not using that any more.


Note You need to log in before you can comment on or make changes to this bug.